<template>
  <div class="catalog-item">
    <img class="catalog-item__img" :src="require('../../assets/images/' + product_data.image)" alt="img">
    <h2 class="catalog-item__title">{{ product_data.name }}</h2>
    <p class="catalog-item__price">{{ product_data.price }} руб.</p>
    <div class="content-btn">
      <button class="catalog-item__btn" @click="addToCart()">
        Добавить +
      </button>
    </div>
  </div>
</template>


<script>
export default {
  name: "Catalog-item",
  props: {
    product_data: {
      type: Object,
      default() {
        return {}
      }
    }
  },
  methods: {
    addToCart() {
      this.$emit('addToCart', this.product_data)
    }
  }
}

</script>


<style lang="scss">
.catalog-item {
  text-align: center;
  flex-basis: 30%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 13px;

  &__title {
    max-width: 400px;
  }

  &__btn {
    padding: 8px 40px;
    margin-bottom: 20px;
    color: #fff;
    border-radius: 2px;
    background: #3cb929;
    border: none;
    cursor: pointer;
  }

  img {
    width: 300px;
  }
}
</style>